# ifdef unix
# define cfree free
calloc(m,n)
{
int storep;
storep = alloc(m*n);
if (storep == -1)
	{write(2, "memory space exceeded\n",22); exit();}
return(storep);
}
# endif
aaclen(s)
	char *s;
{
int aak;
	for(aak=1; *s++; aak++);
return(aak);
}
aacomp(s, v, l, t)
	char *s, *t;
	int *v;
{
	int c,d, *p;
p = s;
while (l--)
	if ( (c= *p++) != (d= *v++))
		return(c > d ? '>' : '<');
s= p;
while ( (c= *s++) == (d= *t++) )
	if (c== 0)
		return('=');
return(c>d ? '>' : '<');
}
